#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.10
visibility:           public
id:                   foldl-1.4.10-Cb9O2VtFIvp5wf4oXp33Th
key:                  foldl-1.4.10-Cb9O2VtFIvp5wf4oXp33Th
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  e5953da8b6fa734d3537e5e13b6aa5a1
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.3/site-local/foldl-1.4.10
library-dirs:         /usr/lib/ghc-8.10.3/site-local/foldl-1.4.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/foldl-1.4.10
hs-libraries:         HSfoldl-1.4.10-Cb9O2VtFIvp5wf4oXp33Th
depends:
    base-4.14.1.0 bytestring-0.10.12.0
    comonad-5.0.7-1AM97iO0mdmH8UTqVZcPsw containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-EOCizfvfdumIxsTFbMrwv1
    mwc-random-0.15.0.1-GSjOmYGmwwaLGPRJT42QN3
    primitive-0.7.1.0-5iVCuttZpQKRKYySoUE3v
    profunctors-5.6-5bjvXERcDcX3dtW7nanTCQ
    semigroupoids-5.3.4-K4lGJZlMtx3LXX7eKCri6r text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-CZ1lolzXKqq6TlKZBOiERd
    vector-0.12.1.2-GaSyd0oSBV34z4313IZO9j

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

